MCP Tools Reference: ces.googleapis.com

Tool: delete_guardrail

Deletes the specified guardrail.

The following sample demonstrate how to use curl to invoke the delete_guardrail MCP tool.

Curl Request
                  
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_guardrail",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for AgentService.DeleteGuardrail.

DeleteGuardrailRequest

JSON representation
{
  "name": string,
  "force": boolean,
  "etag": string
}
Fields
name

string

Required. The resource name of the guardrail to delete.

force

boolean

Optional. Indicates whether to forcefully delete the guardrail, even if it is still referenced by app/agents.

  • If force = false, the deletion fails if any apps/agents still reference the guardrail.
  • If force = true, all existing references from apps/agents will be removed and the guardrail will be deleted.
etag

string

Optional. The current etag of the guardrail. If an etag is not provided, the deletion will overwrite any concurrent changes. If an etag is provided and does not match the current etag of the guardrail, deletion will be blocked and an ABORTED error will be returned.

Output Schema

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

Tool Annotations

Destructive Hint: ✅ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌